﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace FlexGridIntro.Data
{
    public class Tree
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public List<Child> Children { get; set; }
        public static List<Tree> GetData(int count)
        {
            List<Tree> t = new List<Tree>();
            var names = "Andy,Bob,Chris,David,Evan,Fred".Split(',');
            for (int i = 0; i < count; i++)
            {
                t.Add(new Tree()
                {
                    Children = Child.GetChildren(names[i % names.Length]),
                    ID = i,
                    Name = names[i % names.Length]
                });
            }
            return t;
        }
    }

    public class Child
    {
        public string Name { get; set; }
        //public int Column1 { get; set; }
        //public int Column2 { get; set; }
        //public int Column3 { get; set; }
        //public int Column4 { get; set; }
        public static List<Child> GetChildren(string name)
        {   
            List<Child> c = new List<Child>();
            //Random random = new Random();
            for (int i = 0; i < 3; i++)
            {
                c.Add(new Child() { Name = name+i });
            }
           
            return c;
        }

    }
}
